const table = (theme) => ({
	'.tablek': {
		width: '100%',
		display: 'table',
		borderSpacing: '0 .25rem',
		'&-head': {
			'&-row': {
				display: 'table-row',
				backgroundColor: theme('colors.primary.300'),
				color: 'white',
				fontSize: '1rem',
				'& > div:first-child': {
					borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
				},
				'& > div:last-child': {
					borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
				},
			},
			'&-cell': {
				display: 'table-cell',
				padding: '0.5rem',
			},
		},
		'&-row': {
			display: 'table-row',
			marginBottom: '.25rem',
			'&--nth-style': {
				'&:nth-of-type(odd)': {
					backgroundColor: theme('colors.gray.50'),
				},
			},
			'& > div:first-child': {
				borderRadius: `${theme('borderRadius.md')} 0 0 ${theme('borderRadius.md')}`,
			},
			'& > div:last-child': {
				borderRadius: `0 ${theme('borderRadius.md')} ${theme('borderRadius.md')} 0`,
			},
			// '&:last-child': {
			// 	'.tablek-cell': {
			// 		borderBottom: `1px solid ${theme('colors.primary.400')}`,
			// 	},
			// },
		},
		'&-cell': {
			display: 'table-cell',
			padding: '0.5rem',
			// '&:first-child': {
			// 	borderLeft: `1px solid ${theme('colors.primary.400')}`,
			// },
			// '&:last-child': {
			// 	borderRight: `1px solid ${theme('colors.primary.400')}`,
			// },
		},
		'&--noHead': {
			'.table-row:nth-child(1) .table-cell': {
				borderTop: `1px solid ${theme('colors.primary.400')}`,
			},
		},
	},
	[`@media (max-width: ${theme('screens.sm-m.max')})`]: {
		'.tablek': {
			display: 'block',
			'&-head': {
				'&-row': {
					display: 'none',
				},
			},
			'&-row': {
				paddingBottom: '0.5rem',
				display: 'block',
				border: 'none',
				'&:last-child .table-cell': {
					border: 'none',
				},
			},
			'&-cell': {
				'&:first-child': {
					border: 'none',
				},
				'&:last-child': {
					border: 'none',
				},
				'&:before': {
					content: 'attr(data-title)',
					display: 'block',
					marginBottom: '0.5rem',
					fontWeight: '700',
					fontSize: '0.875rem',
					lineHeight: '1.25rem',
					textTransform: 'uppercase',
					color: theme('colors.primary.400'),
				},
			},
		},
	},
});

module.exports = ({ addComponents, theme }) => {
	addComponents(table(theme));
};

module.exports.table = table;
